Subject: Re: [PATCH 1/3] revert: rename --reset option to --quit

From: Jakub Narebski <[email-masked]>
Date: Mon, 21 Nov 2011 14:35:33 -0800 (PST)

Junio C Hamano <[email-masked]> writes:
> Jonathan Nieder <[email-masked]> writes:
> 
> > The option to "git cherry-pick" and "git revert" to discard the
> > sequencer state introduced by v1.7.8-rc0~141^2~6 (revert: Introduce
> > --reset to remove sequencer state, 2011-08-04) has a confusing name.
> > Change it now, while we still have the time.
> >
> > Mechanics:
> >
> > This commit removes the "git cherry-pick --reset" option.  Hopefully
> > nobody was using it.  If somebody was, we can add it back again as a
> > synonym.
> >
> > The new name for "cherry-pick, please get out of my way, since I've
> > long forgotten about the sequence of commits I was cherry-picking when
> > you wrote that old .git/sequencer directory" is --quit.  
> 
> Wouldn't it match other commands better if we called this --abort instead
> of --quit?

Actually from what I understand --reset / --quit has to have different
meaning than --abort.  While for multi-commit operation --abort goes back
to the state before last operation, --reset / --quit just clears sequencer
state, but does not change working area, nor index, not HEAD.  This is to
be used when encounering stale old rebase / am / cherry-pick / revert.

BTW. I think that '--clear' (or '--clear-state') would be a better name
for this option.
 
> Other than that I think I agree with the reasoning (and I think I too had
> encountered the irritation with the "sequencer state").

-- 
Jakub Narębski